﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using System.Runtime.CompilerServices;
using System.Diagnostics;

namespace WG_EmbedUserControl
{
    public partial class CComboUserControl : UserControl, INotifyPropertyChanged
    {
        public CComboUserControl()
        {
            InitializeComponent();
        }

        public UltraCalendarCombo Combo
        {
            get 
            { 
                return this.ultraCalendarCombo1;
            }
        }

        public DateTime Date
        {
            get
            {
                return (DateTime)this.ultraCalendarCombo1.Value;
            }
            set
            {
                if ((DateTime)this.ultraCalendarCombo1.Value != value)
                {
                    this.ultraCalendarCombo1.Value = value;
                }
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        private void OnNotifyPropertyChanged(string caller)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(caller));
            }
        }


        private void ultraCalendarCombo1_ValueChanged(object sender, EventArgs e)
        {
            OnNotifyPropertyChanged("Date");
        }
    }
}
